I am getting that error when trying to import SQLAlchemy from flask_sqlalchemy:

from flask_sqlalchemy import SQLAlchemy

The complete error message is:

  File "C:\Users\..\lib\site-packages\sqlalchemy\pool\base.py", line 63, in Pool
@util.deprecated_params(
AttributeError: module 'sqlalchemy.util' has no attribute 'deprecated_params'

The version of my libraries are sqlalchemy = 1.1.13 and flask_sqlalchemy = 2.4.0

Any suggestions on how to solve this?

Thanks

0 Answers